<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>VivianUI: TriLib.Extras.BoneRelationship Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">VivianUI
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('class_tri_lib_1_1_extras_1_1_bone_relationship.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="class_tri_lib_1_1_extras_1_1_bone_relationship-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">TriLib.Extras.BoneRelationship Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Represents a human bone to Unity bone relationship.  
 <a href="class_tri_lib_1_1_extras_1_1_bone_relationship.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a06bd7d3658f0a2895ea14d7db962e7fc"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_extras_1_1_bone_relationship.html#a06bd7d3658f0a2895ea14d7db962e7fc">BoneRelationship</a> (string humanBone, string boneName, bool optional)</td></tr>
<tr class="memdesc:a06bd7d3658f0a2895ea14d7db962e7fc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Initializes a new instance of the <a class="el" href="class_tri_lib_1_1_extras_1_1_bone_relationship.html" title="Represents a human bone to Unity bone relationship.">TriLib.Extras.BoneRelationship</a> class.  <a href="class_tri_lib_1_1_extras_1_1_bone_relationship.html#a06bd7d3658f0a2895ea14d7db962e7fc">More...</a><br /></td></tr>
<tr class="separator:a06bd7d3658f0a2895ea14d7db962e7fc"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a7f524c056b403e25ea8a967be201e3a1"><td class="memItemLeft" align="right" valign="top"><a id="a7f524c056b403e25ea8a967be201e3a1" name="a7f524c056b403e25ea8a967be201e3a1"></a>
string&#160;</td><td class="memItemRight" valign="bottom"><b>HumanBone</b></td></tr>
<tr class="separator:a7f524c056b403e25ea8a967be201e3a1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4f5959c80a08afb1d48945e6f62d3b69"><td class="memItemLeft" align="right" valign="top"><a id="a4f5959c80a08afb1d48945e6f62d3b69" name="a4f5959c80a08afb1d48945e6f62d3b69"></a>
string&#160;</td><td class="memItemRight" valign="bottom"><b>BoneName</b></td></tr>
<tr class="separator:a4f5959c80a08afb1d48945e6f62d3b69"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab8b9a177b74e7efd0e993781480aed5e"><td class="memItemLeft" align="right" valign="top"><a id="ab8b9a177b74e7efd0e993781480aed5e" name="ab8b9a177b74e7efd0e993781480aed5e"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>Optional</b></td></tr>
<tr class="separator:ab8b9a177b74e7efd0e993781480aed5e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >Represents a human bone to Unity bone relationship. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a06bd7d3658f0a2895ea14d7db962e7fc" name="a06bd7d3658f0a2895ea14d7db962e7fc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a06bd7d3658f0a2895ea14d7db962e7fc">&#9670;&nbsp;</a></span>BoneRelationship()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TriLib.Extras.BoneRelationship.BoneRelationship </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>humanBone</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>boneName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>optional</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Initializes a new instance of the <a class="el" href="class_tri_lib_1_1_extras_1_1_bone_relationship.html" title="Represents a human bone to Unity bone relationship.">TriLib.Extras.BoneRelationship</a> class. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">humanBone</td><td>Human bone.</td></tr>
    <tr><td class="paramname">boneName</td><td>Bone name.</td></tr>
    <tr><td class="paramname">optional</td><td>If set to <code>true</code> this bone relationship will be optional in the hierarchy.</td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/chris/dev/unity/VivianUI/Assets/TriLib/TriLibExtras/Scripts/<a class="el" href="_avatar_loader_8cs.html">AvatarLoader.cs</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespace_tri_lib.html">TriLib</a></li><li class="navelem"><a class="el" href="namespace_tri_lib_1_1_extras.html">Extras</a></li><li class="navelem"><a class="el" href="class_tri_lib_1_1_extras_1_1_bone_relationship.html">BoneRelationship</a></li>
    <li class="footer">Generated on Mon Dec 20 2021 15:24:23 for VivianUI by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
